/**
 * Created by jmoutard on 17/05/16.
 */

'use strict';

angular.module('adf.electre')
    .config([
        "dashboardProvider", "$stateProvider", "$urlRouterProvider",
        function (dashboardProvider, $stateProvider, $urlRouterProvider) {
            /* NAVBAR CONFIG */
            $urlRouterProvider.otherwise('/home');
            $stateProvider
                .state('home', {
                    url: "/home",
                    /*templateUrl : "/resource/rsc/electre/partials/default.html"*/
                    templateUrl : "/resource/rsc/electre/partials/home.html"
                })/*.state('login', {
                    url: "/login",
                    templateUrl: 'partials/login.html', //TODO USE A LAVOISIER AUTHENTICATOR VIEW
                    controller: 'loginCtrl',
                    controllerAs: 'login'
                }).state('logout', {
                    url: "/home",
                    templateUrl : "partials/default.html",
                    resolve: {
                        logout: [
                            "loginService",
                            function (loginService) {
                                loginService.logout();
                                return;
                            }
                        ]
                    }
                })*/.state('local_board', {
                    url: "/local_board/:id",
                    templateUrl: 'partials/local_dashboard.html',
                    controller: 'dashboardController',
                    controllerAs: 'dashboard',
                    resolve: {
                        data: [
                            "$stateParams", "storeService",
                            function ($stateParams, storeService) {
                                return storeService.get($stateParams.id, false);
                            }
                        ]
                    }
                }).state('remote_board', {
                    url: "/remote_board/:id",
                    templateUrl: 'partials/server_dashboard.html',
                    controller: 'dashboardController',
                    controllerAs: 'dashboard',
                    resolve: {
                        data: [
                            "$stateParams", "storeService",
                            function ($stateParams, storeService) {
                                return storeService.get($stateParams.id, true);
                            }
                        ]
                    }
                }).state('help', {
                    url: "/help",
                    templateUrl: 'partials/getStarted.html'
                });

            /* ADF CONFIG */
            dashboardProvider.widgetsPath("\\resource\\rsc\\electre\\widgets");
        }
    ]);